net.sf.jasperreports.crosstabs

## Interface JRCrosstabRowGroup

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable, JRCrosstabGroup
  All Known Implementing Classes:
    JRBaseCrosstabRowGroup, JRDesignCrosstabRowGroup, JRFillCrosstabRowGroup

      public interface JRCrosstabRowGroup
      extends JRCrosstabGroup

  Crosstab row group interface.
  Version:
    $Id: JRCrosstabRowGroup.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrosstabRowPositionEnum` | `getPositionValue()` Returns the position of the header contents for header stretching.
    `int` | `getWidth()` Returns the width of the group headers.

    - ### Methods inherited from interface net.sf.jasperreports.crosstabs.JRCrosstabGroup

      `getBucket, getHeader, getName, getTotalHeader, getTotalPositionValue, getVariable, hasTotal`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getWidth

          int getWidth()

      Returns the width of the group headers.
      Returns:
        the width of the group headers
      See Also:
        `JRCrosstabGroup.getHeader()`, `JRCrosstabGroup.getTotalHeader()`

    - #### getPositionValue

          CrosstabRowPositionEnum getPositionValue()

      Returns the position of the header contents for header stretching.

      The row group headers stretch vertically when there are multiple sub group entries. The header contents will be adjusted to the new height depending on this attribute:

      - `CrosstabRowPositionEnum.TOP` - the contents will be rendered at the top of of the header
      - `CrosstabRowPositionEnum.MIDDLE` - the contents will be rendered on the center of the header
      - `JCrosstabRowPositionEnum.BOTTOM` - the contents will be rendered at the bottom of the header
      - `CrosstabRowPositionEnum.STRETCH` - the contents will be proportionally stretched to the new header size
      Returns:
        the position of the header contents for header stretching

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com